<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: eic::TrackCollection Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceeic.html">eic</a></li><li class="navelem"><a class="el" href="classeic_1_1_track_collection.html">TrackCollection</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classeic_1_1_track_collection-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">eic::TrackCollection Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_track_collection_8h_source.html">TrackCollection.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for eic::TrackCollection:</div>
<div class="dyncontent">
<div class="center"><img src="classeic_1_1_track_collection__inherit__graph.png" border="0" usemap="#eic_1_1_track_collection_inherit__map" alt="Inheritance graph"/></div>
<map name="eic_1_1_track_collection_inherit__map" id="eic_1_1_track_collection_inherit__map">
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for eic::TrackCollection:</div>
<div class="dyncontent">
<div class="center"><img src="classeic_1_1_track_collection__coll__graph.png" border="0" usemap="#eic_1_1_track_collection_coll__map" alt="Collaboration graph"/></div>
<map name="eic_1_1_track_collection_coll__map" id="eic_1_1_track_collection_coll__map">
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:a4a5cb75b521c431887d0d90b100a7ad9"><td class="memItemLeft" align="right" valign="top">using&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_collection.html#a4a5cb75b521c431887d0d90b100a7ad9">const_iterator</a> = const <a class="el" href="classeic_1_1_track_collection_iterator.html">TrackCollectionIterator</a></td></tr>
<tr class="separator:a4a5cb75b521c431887d0d90b100a7ad9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a2525b3bd58aa29cddfcb0bf506769981"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_collection.html#a2525b3bd58aa29cddfcb0bf506769981">TrackCollection</a> ()</td></tr>
<tr class="separator:a2525b3bd58aa29cddfcb0bf506769981"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abcd765bada634e8094753d90a6838101"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_collection.html#abcd765bada634e8094753d90a6838101">~TrackCollection</a> ()</td></tr>
<tr class="separator:abcd765bada634e8094753d90a6838101"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa01cf11deb9c2cb75d79d3f9f353c816"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_collection.html#aa01cf11deb9c2cb75d79d3f9f353c816">clear</a> () override final</td></tr>
<tr class="separator:aa01cf11deb9c2cb75d79d3f9f353c816"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae11b4e6ee896ecee32295c510db12141"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classeic_1_1_track_collection.html">TrackCollection</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_collection.html#ae11b4e6ee896ecee32295c510db12141">operator-&gt;</a> ()</td></tr>
<tr class="memdesc:ae11b4e6ee896ecee32295c510db12141"><td class="mdescLeft">&#160;</td><td class="mdescRight">operator to allow pointer like calling of members a la LCIO  <a href="#ae11b4e6ee896ecee32295c510db12141">More...</a><br /></td></tr>
<tr class="separator:ae11b4e6ee896ecee32295c510db12141"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a62f97e1965a01b25b02d630aa0d951c1"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classeic_1_1_track.html">Track</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_collection.html#a62f97e1965a01b25b02d630aa0d951c1">create</a> ()</td></tr>
<tr class="memdesc:a62f97e1965a01b25b02d630aa0d951c1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Append a new object to the collection, and return this object.  <a href="#a62f97e1965a01b25b02d630aa0d951c1">More...</a><br /></td></tr>
<tr class="separator:a62f97e1965a01b25b02d630aa0d951c1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a30c5bded09b43a1a0fc53debb26e4d81"><td class="memTemplParams" colspan="2">template&lt;typename... Args&gt; </td></tr>
<tr class="memitem:a30c5bded09b43a1a0fc53debb26e4d81"><td class="memTemplItemLeft" align="right" valign="top"><a class="el" href="classeic_1_1_track.html">Track</a>&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_collection.html#a30c5bded09b43a1a0fc53debb26e4d81">create</a> (Args &amp;&amp;... args)</td></tr>
<tr class="separator:a30c5bded09b43a1a0fc53debb26e4d81"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a23858347745b82180fe9979ee7597f3a"><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_collection.html#a23858347745b82180fe9979ee7597f3a">size</a> () const override final</td></tr>
<tr class="memdesc:a23858347745b82180fe9979ee7597f3a"><td class="mdescLeft">&#160;</td><td class="mdescRight">number of elements in the collection  <a href="#a23858347745b82180fe9979ee7597f3a">More...</a><br /></td></tr>
<tr class="separator:a23858347745b82180fe9979ee7597f3a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8395ce01a0a8d3ac19dc1da3c68ed190"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_collection.html#a8395ce01a0a8d3ac19dc1da3c68ed190">getValueTypeName</a> () const override</td></tr>
<tr class="memdesc:a8395ce01a0a8d3ac19dc1da3c68ed190"><td class="mdescLeft">&#160;</td><td class="mdescRight">fully qualified type name of elements - with namespace  <a href="#a8395ce01a0a8d3ac19dc1da3c68ed190">More...</a><br /></td></tr>
<tr class="separator:a8395ce01a0a8d3ac19dc1da3c68ed190"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4ad3b375453110308eb1673a404b7eae"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classeic_1_1_track.html">Track</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_collection.html#a4ad3b375453110308eb1673a404b7eae">operator[]</a> (unsigned int index) const</td></tr>
<tr class="memdesc:a4ad3b375453110308eb1673a404b7eae"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the const object of given index.  <a href="#a4ad3b375453110308eb1673a404b7eae">More...</a><br /></td></tr>
<tr class="separator:a4ad3b375453110308eb1673a404b7eae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1b0bd74c043c7a66f9e60f8973b3d104"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classeic_1_1_track.html">Track</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_collection.html#a1b0bd74c043c7a66f9e60f8973b3d104">operator[]</a> (unsigned int index)</td></tr>
<tr class="memdesc:a1b0bd74c043c7a66f9e60f8973b3d104"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the object of a given index.  <a href="#a1b0bd74c043c7a66f9e60f8973b3d104">More...</a><br /></td></tr>
<tr class="separator:a1b0bd74c043c7a66f9e60f8973b3d104"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7433bfa851875d20b65a6be98903c5f3"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classeic_1_1_track.html">Track</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_collection.html#a7433bfa851875d20b65a6be98903c5f3">at</a> (unsigned int index) const</td></tr>
<tr class="memdesc:a7433bfa851875d20b65a6be98903c5f3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the const object of given index.  <a href="#a7433bfa851875d20b65a6be98903c5f3">More...</a><br /></td></tr>
<tr class="separator:a7433bfa851875d20b65a6be98903c5f3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab0786e847311376491bc97f15edf2a11"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classeic_1_1_track.html">Track</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_collection.html#ab0786e847311376491bc97f15edf2a11">at</a> (unsigned int index)</td></tr>
<tr class="memdesc:ab0786e847311376491bc97f15edf2a11"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the object of given index.  <a href="#ab0786e847311376491bc97f15edf2a11">More...</a><br /></td></tr>
<tr class="separator:ab0786e847311376491bc97f15edf2a11"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a57c96fb176d015ba6756d10b32ec69c6"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_collection.html#a57c96fb176d015ba6756d10b32ec69c6">push_back</a> (<a class="el" href="classeic_1_1_const_track.html">ConstTrack</a> object)</td></tr>
<tr class="memdesc:a57c96fb176d015ba6756d10b32ec69c6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Append object to the collection.  <a href="#a57c96fb176d015ba6756d10b32ec69c6">More...</a><br /></td></tr>
<tr class="separator:a57c96fb176d015ba6756d10b32ec69c6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad0a4fbbc49adbfeab7605cb2c07c5911"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_collection.html#ad0a4fbbc49adbfeab7605cb2c07c5911">prepareForWrite</a> () override final</td></tr>
<tr class="separator:ad0a4fbbc49adbfeab7605cb2c07c5911"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7c3384554be7e5d8e5deb78c3b59057e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_collection.html#a7c3384554be7e5d8e5deb78c3b59057e">prepareAfterRead</a> () override final</td></tr>
<tr class="separator:a7c3384554be7e5d8e5deb78c3b59057e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af2ceb33e571323a796781a04ed8552cb"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_collection.html#af2ceb33e571323a796781a04ed8552cb">setBuffer</a> (void *address) override final</td></tr>
<tr class="separator:af2ceb33e571323a796781a04ed8552cb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af9355f50fe226c9fe2145be40139809a"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_collection.html#af9355f50fe226c9fe2145be40139809a">setReferences</a> (const podio::ICollectionProvider *collectionProvider) override final</td></tr>
<tr class="separator:af9355f50fe226c9fe2145be40139809a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a63cfc03b850860aad55ee3d026395200"><td class="memItemLeft" align="right" valign="top">podio::CollRefCollection *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_collection.html#a63cfc03b850860aad55ee3d026395200">referenceCollections</a> () override final</td></tr>
<tr class="separator:a63cfc03b850860aad55ee3d026395200"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac8faa019ed0f5ef5930b672af2b384ff"><td class="memItemLeft" align="right" valign="top">podio::VectorMembersInfo *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_collection.html#ac8faa019ed0f5ef5930b672af2b384ff">vectorMembers</a> () override</td></tr>
<tr class="separator:ac8faa019ed0f5ef5930b672af2b384ff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a90ec32bb31f88d07738302fdf5d0168d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_collection.html#a90ec32bb31f88d07738302fdf5d0168d">setID</a> (unsigned ID) override final</td></tr>
<tr class="separator:a90ec32bb31f88d07738302fdf5d0168d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8458dd57f410d19e2cc1da95ac869797"><td class="memItemLeft" align="right" valign="top">unsigned&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_collection.html#a8458dd57f410d19e2cc1da95ac869797">getID</a> () const override final</td></tr>
<tr class="separator:a8458dd57f410d19e2cc1da95ac869797"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a11d7c1bf4a7a8833913cfb500e46e8bf"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_collection.html#a11d7c1bf4a7a8833913cfb500e46e8bf">isValid</a> () const override final</td></tr>
<tr class="separator:a11d7c1bf4a7a8833913cfb500e46e8bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2feffd69294f8e7c6332080d128859a2"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classeic_1_1_track_collection.html#a4a5cb75b521c431887d0d90b100a7ad9">const_iterator</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_collection.html#a2feffd69294f8e7c6332080d128859a2">begin</a> () const</td></tr>
<tr class="separator:a2feffd69294f8e7c6332080d128859a2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0bee268b82e35977b617787eccf6c643"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classeic_1_1_track_collection.html#a4a5cb75b521c431887d0d90b100a7ad9">const_iterator</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_collection.html#a0bee268b82e35977b617787eccf6c643">end</a> () const</td></tr>
<tr class="separator:a0bee268b82e35977b617787eccf6c643"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeb3d6905798d23526cb0d25d9de54d90"><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_collection.html#aeb3d6905798d23526cb0d25d9de54d90">getBufferAddress</a> () override final</td></tr>
<tr class="memdesc:aeb3d6905798d23526cb0d25d9de54d90"><td class="mdescLeft">&#160;</td><td class="mdescRight">returns the address of the pointer to the data buffer  <a href="#aeb3d6905798d23526cb0d25d9de54d90">More...</a><br /></td></tr>
<tr class="separator:aeb3d6905798d23526cb0d25d9de54d90"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a28cb21b98cce5636d54dd11daf93589c"><td class="memItemLeft" align="right" valign="top">std::vector&lt; <a class="el" href="classeic_1_1_track_data.html">TrackData</a> &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_collection.html#a28cb21b98cce5636d54dd11daf93589c">_getBuffer</a> ()</td></tr>
<tr class="memdesc:a28cb21b98cce5636d54dd11daf93589c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the pointer to the data buffer.  <a href="#a28cb21b98cce5636d54dd11daf93589c">More...</a><br /></td></tr>
<tr class="separator:a28cb21b98cce5636d54dd11daf93589c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aab555c7cab57017cfebf100fd714b063"><td class="memTemplParams" colspan="2">template&lt;size_t arraysize&gt; </td></tr>
<tr class="memitem:aab555c7cab57017cfebf100fd714b063"><td class="memTemplItemLeft" align="right" valign="top">const std::array&lt; float, arraysize &gt;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_collection.html#aab555c7cab57017cfebf100fd714b063">chi2</a> () const</td></tr>
<tr class="separator:aab555c7cab57017cfebf100fd714b063"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a895cdf62c4fa4aaba53b6700f900b75d"><td class="memTemplParams" colspan="2">template&lt;size_t arraysize&gt; </td></tr>
<tr class="memitem:a895cdf62c4fa4aaba53b6700f900b75d"><td class="memTemplItemLeft" align="right" valign="top">const std::array&lt; int, arraysize &gt;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_collection.html#a895cdf62c4fa4aaba53b6700f900b75d">ndf</a> () const</td></tr>
<tr class="separator:a895cdf62c4fa4aaba53b6700f900b75d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab58d9987a161f69a37f30f40684d17f4"><td class="memTemplParams" colspan="2">template&lt;size_t arraysize&gt; </td></tr>
<tr class="memitem:ab58d9987a161f69a37f30f40684d17f4"><td class="memTemplItemLeft" align="right" valign="top">const std::array&lt; float, arraysize &gt;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_collection.html#ab58d9987a161f69a37f30f40684d17f4">dEdx</a> () const</td></tr>
<tr class="separator:ab58d9987a161f69a37f30f40684d17f4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a24c42099a350b11ca157ec4896e84726"><td class="memTemplParams" colspan="2">template&lt;size_t arraysize&gt; </td></tr>
<tr class="memitem:a24c42099a350b11ca157ec4896e84726"><td class="memTemplItemLeft" align="right" valign="top">const std::array&lt; float, arraysize &gt;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_collection.html#a24c42099a350b11ca157ec4896e84726">dEdxError</a> () const</td></tr>
<tr class="separator:a24c42099a350b11ca157ec4896e84726"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a90953696acd63a0c40729b5202cbd904"><td class="memTemplParams" colspan="2">template&lt;size_t arraysize&gt; </td></tr>
<tr class="memitem:a90953696acd63a0c40729b5202cbd904"><td class="memTemplItemLeft" align="right" valign="top">const std::array&lt; float, arraysize &gt;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classeic_1_1_track_collection.html#a90953696acd63a0c40729b5202cbd904">radiusOfInnermostHit</a> () const</td></tr>
<tr class="separator:a90953696acd63a0c40729b5202cbd904"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>A Collection is identified by an ID. </p>

<p class="definition">Definition at line <a class="el" href="_track_collection_8h_source.html#l00050">50</a> of file <a class="el" href="_track_collection_8h_source.html">TrackCollection.h</a>.</p>
</div><h2 class="groupheader">Member Typedef Documentation</h2>
<a id="a4a5cb75b521c431887d0d90b100a7ad9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4a5cb75b521c431887d0d90b100a7ad9">&#9670;&nbsp;</a></span>const_iterator</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">using <a class="el" href="classeic_1_1_track_collection.html#a4a5cb75b521c431887d0d90b100a7ad9">eic::TrackCollection::const_iterator</a> =  const <a class="el" href="classeic_1_1_track_collection_iterator.html">TrackCollectionIterator</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_track_collection_8h_source.html#l00053">53</a> of file <a class="el" href="_track_collection_8h_source.html">TrackCollection.h</a>.</p>

</div>
</div>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a2525b3bd58aa29cddfcb0bf506769981"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2525b3bd58aa29cddfcb0bf506769981">&#9670;&nbsp;</a></span>TrackCollection()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::TrackCollection::TrackCollection </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_track_collection_8cc_source.html#l00016">16</a> of file <a class="el" href="_track_collection_8cc_source.html">TrackCollection.cc</a>.</p>

</div>
</div>
<a id="abcd765bada634e8094753d90a6838101"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abcd765bada634e8094753d90a6838101">&#9670;&nbsp;</a></span>~TrackCollection()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::TrackCollection::~TrackCollection </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_track_collection_8cc_source.html#l00027">27</a> of file <a class="el" href="_track_collection_8cc_source.html">TrackCollection.cc</a>.</p>

<p class="reference">References <a class="el" href="_track_collection_8cc_source.html#l00066">clear()</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a28cb21b98cce5636d54dd11daf93589c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a28cb21b98cce5636d54dd11daf93589c">&#9670;&nbsp;</a></span>_getBuffer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;<a class="el" href="classeic_1_1_track_data.html">TrackData</a>&gt;* eic::TrackCollection::_getBuffer </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Returns the pointer to the data buffer. </p>

<p class="definition">Definition at line <a class="el" href="_track_collection_8h_source.html#l00128">128</a> of file <a class="el" href="_track_collection_8h_source.html">TrackCollection.h</a>.</p>

<p class="reference">References <a class="el" href="_calorimeter_hit_8cc_source.html#l00112">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="a7433bfa851875d20b65a6be98903c5f3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7433bfa851875d20b65a6be98903c5f3">&#9670;&nbsp;</a></span>at() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classeic_1_1_track.html">Track</a> eic::TrackCollection::at </td>
          <td>(</td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Returns the const object of given index. </p>

<p class="definition">Definition at line <a class="el" href="_track_collection_8cc_source.html#l00040">40</a> of file <a class="el" href="_track_collection_8cc_source.html">TrackCollection.cc</a>.</p>

</div>
</div>
<a id="ab0786e847311376491bc97f15edf2a11"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab0786e847311376491bc97f15edf2a11">&#9670;&nbsp;</a></span>at() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classeic_1_1_track.html">Track</a> eic::TrackCollection::at </td>
          <td>(</td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Returns the object of given index. </p>

<p class="definition">Definition at line <a class="el" href="_track_collection_8cc_source.html#l00048">48</a> of file <a class="el" href="_track_collection_8cc_source.html">TrackCollection.cc</a>.</p>

</div>
</div>
<a id="a2feffd69294f8e7c6332080d128859a2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2feffd69294f8e7c6332080d128859a2">&#9670;&nbsp;</a></span>begin()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classeic_1_1_track_collection.html#a4a5cb75b521c431887d0d90b100a7ad9">const_iterator</a> eic::TrackCollection::begin </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_track_collection_8h_source.html#l00117">117</a> of file <a class="el" href="_track_collection_8h_source.html">TrackCollection.h</a>.</p>

</div>
</div>
<a id="aab555c7cab57017cfebf100fd714b063"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aab555c7cab57017cfebf100fd714b063">&#9670;&nbsp;</a></span>chi2()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;size_t arraysize&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">const std::array&lt; float, arraysize &gt; eic::TrackCollection::chi2 </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_track_collection_8h_source.html#l00172">172</a> of file <a class="el" href="_track_collection_8h_source.html">TrackCollection.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_track_collection_8cc_source.html#l00245">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="aa01cf11deb9c2cb75d79d3f9f353c816"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa01cf11deb9c2cb75d79d3f9f353c816">&#9670;&nbsp;</a></span>clear()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void eic::TrackCollection::clear </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">final</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_track_collection_8cc_source.html#l00066">66</a> of file <a class="el" href="_track_collection_8cc_source.html">TrackCollection.cc</a>.</p>

<p class="reference">Referenced by <a class="el" href="_track_collection_8cc_source.html#l00027">~TrackCollection()</a>.</p>

</div>
</div>
<a id="a62f97e1965a01b25b02d630aa0d951c1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a62f97e1965a01b25b02d630aa0d951c1">&#9670;&nbsp;</a></span>create() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classeic_1_1_track.html">Track</a> eic::TrackCollection::create </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Append a new object to the collection, and return this object. </p>

<p class="definition">Definition at line <a class="el" href="_track_collection_8cc_source.html#l00056">56</a> of file <a class="el" href="_track_collection_8cc_source.html">TrackCollection.cc</a>.</p>

</div>
</div>
<a id="a30c5bded09b43a1a0fc53debb26e4d81"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a30c5bded09b43a1a0fc53debb26e4d81">&#9670;&nbsp;</a></span>create() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename... Args&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classeic_1_1_track.html">Track</a> eic::TrackCollection::create </td>
          <td>(</td>
          <td class="paramtype">Args &amp;&amp;...&#160;</td>
          <td class="paramname"><em>args</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Append a new object to the collection, and return this object. Initialized with the parameters given </p>

<p class="definition">Definition at line <a class="el" href="_track_collection_8h_source.html#l00164">164</a> of file <a class="el" href="_track_collection_8h_source.html">TrackCollection.h</a>.</p>

</div>
</div>
<a id="ab58d9987a161f69a37f30f40684d17f4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab58d9987a161f69a37f30f40684d17f4">&#9670;&nbsp;</a></span>dEdx()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;size_t arraysize&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">const std::array&lt; float, arraysize &gt; eic::TrackCollection::dEdx </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_track_collection_8h_source.html#l00192">192</a> of file <a class="el" href="_track_collection_8h_source.html">TrackCollection.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_track_collection_8cc_source.html#l00245">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="a24c42099a350b11ca157ec4896e84726"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a24c42099a350b11ca157ec4896e84726">&#9670;&nbsp;</a></span>dEdxError()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;size_t arraysize&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">const std::array&lt; float, arraysize &gt; eic::TrackCollection::dEdxError </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_track_collection_8h_source.html#l00202">202</a> of file <a class="el" href="_track_collection_8h_source.html">TrackCollection.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_track_collection_8cc_source.html#l00245">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="a0bee268b82e35977b617787eccf6c643"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0bee268b82e35977b617787eccf6c643">&#9670;&nbsp;</a></span>end()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classeic_1_1_track_collection.html#a4a5cb75b521c431887d0d90b100a7ad9">const_iterator</a> eic::TrackCollection::end </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_track_collection_8h_source.html#l00120">120</a> of file <a class="el" href="_track_collection_8h_source.html">TrackCollection.h</a>.</p>

</div>
</div>
<a id="aeb3d6905798d23526cb0d25d9de54d90"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeb3d6905798d23526cb0d25d9de54d90">&#9670;&nbsp;</a></span>getBufferAddress()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void* eic::TrackCollection::getBufferAddress </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">final</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>returns the address of the pointer to the data buffer </p>

<p class="definition">Definition at line <a class="el" href="_track_collection_8h_source.html#l00125">125</a> of file <a class="el" href="_track_collection_8h_source.html">TrackCollection.h</a>.</p>

</div>
</div>
<a id="a8458dd57f410d19e2cc1da95ac869797"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8458dd57f410d19e2cc1da95ac869797">&#9670;&nbsp;</a></span>getID()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">unsigned eic::TrackCollection::getID </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">final</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_track_collection_8h_source.html#l00108">108</a> of file <a class="el" href="_track_collection_8h_source.html">TrackCollection.h</a>.</p>

</div>
</div>
<a id="a8395ce01a0a8d3ac19dc1da3c68ed190"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8395ce01a0a8d3ac19dc1da3c68ed190">&#9670;&nbsp;</a></span>getValueTypeName()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string eic::TrackCollection::getValueTypeName </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>fully qualified type name of elements - with namespace </p>

<p class="definition">Definition at line <a class="el" href="_track_collection_8h_source.html#l00077">77</a> of file <a class="el" href="_track_collection_8h_source.html">TrackCollection.h</a>.</p>

</div>
</div>
<a id="a11d7c1bf4a7a8833913cfb500e46e8bf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a11d7c1bf4a7a8833913cfb500e46e8bf">&#9670;&nbsp;</a></span>isValid()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool eic::TrackCollection::isValid </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">final</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_track_collection_8h_source.html#l00112">112</a> of file <a class="el" href="_track_collection_8h_source.html">TrackCollection.h</a>.</p>

</div>
</div>
<a id="a895cdf62c4fa4aaba53b6700f900b75d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a895cdf62c4fa4aaba53b6700f900b75d">&#9670;&nbsp;</a></span>ndf()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;size_t arraysize&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">const std::array&lt; int, arraysize &gt; eic::TrackCollection::ndf </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_track_collection_8h_source.html#l00182">182</a> of file <a class="el" href="_track_collection_8h_source.html">TrackCollection.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_track_collection_8cc_source.html#l00245">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="ae11b4e6ee896ecee32295c510db12141"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae11b4e6ee896ecee32295c510db12141">&#9670;&nbsp;</a></span>operator->()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classeic_1_1_track_collection.html">TrackCollection</a>* eic::TrackCollection::operator-&gt; </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>operator to allow pointer like calling of members a la LCIO </p>

<p class="definition">Definition at line <a class="el" href="_track_collection_8h_source.html#l00063">63</a> of file <a class="el" href="_track_collection_8h_source.html">TrackCollection.h</a>.</p>

</div>
</div>
<a id="a4ad3b375453110308eb1673a404b7eae"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4ad3b375453110308eb1673a404b7eae">&#9670;&nbsp;</a></span>operator[]() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classeic_1_1_track.html">Track</a> eic::TrackCollection::operator[] </td>
          <td>(</td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Returns the const object of given index. </p>

<p class="definition">Definition at line <a class="el" href="_track_collection_8cc_source.html#l00036">36</a> of file <a class="el" href="_track_collection_8cc_source.html">TrackCollection.cc</a>.</p>

</div>
</div>
<a id="a1b0bd74c043c7a66f9e60f8973b3d104"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1b0bd74c043c7a66f9e60f8973b3d104">&#9670;&nbsp;</a></span>operator[]() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classeic_1_1_track.html">Track</a> eic::TrackCollection::operator[] </td>
          <td>(</td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Returns the object of a given index. </p>

<p class="definition">Definition at line <a class="el" href="_track_collection_8cc_source.html#l00044">44</a> of file <a class="el" href="_track_collection_8cc_source.html">TrackCollection.cc</a>.</p>

</div>
</div>
<a id="a7c3384554be7e5d8e5deb78c3b59057e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7c3384554be7e5d8e5deb78c3b59057e">&#9670;&nbsp;</a></span>prepareAfterRead()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void eic::TrackCollection::prepareAfterRead </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">final</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_track_collection_8cc_source.html#l00152">152</a> of file <a class="el" href="_track_collection_8cc_source.html">TrackCollection.cc</a>.</p>

<p class="reference">References <a class="el" href="_track_obj_8h_source.html#l00035">eic::TrackObj::m_tracks</a>.</p>

</div>
</div>
<a id="ad0a4fbbc49adbfeab7605cb2c07c5911"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad0a4fbbc49adbfeab7605cb2c07c5911">&#9670;&nbsp;</a></span>prepareForWrite()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void eic::TrackCollection::prepareForWrite </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">final</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_track_collection_8cc_source.html#l00106">106</a> of file <a class="el" href="_track_collection_8cc_source.html">TrackCollection.cc</a>.</p>

<p class="reference">References <a class="el" href="_track_collection_8cc_source.html#l00052">size()</a>.</p>

</div>
</div>
<a id="a57c96fb176d015ba6756d10b32ec69c6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a57c96fb176d015ba6756d10b32ec69c6">&#9670;&nbsp;</a></span>push_back()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void eic::TrackCollection::push_back </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classeic_1_1_const_track.html">ConstTrack</a>&#160;</td>
          <td class="paramname"><em>object</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Append object to the collection. </p>

<p class="definition">Definition at line <a class="el" href="_track_collection_8cc_source.html#l00210">210</a> of file <a class="el" href="_track_collection_8cc_source.html">TrackCollection.cc</a>.</p>

<p class="reference">References <a class="el" href="_track_collection_8cc_source.html#l00052">size()</a>.</p>

</div>
</div>
<a id="a90953696acd63a0c40729b5202cbd904"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a90953696acd63a0c40729b5202cbd904">&#9670;&nbsp;</a></span>radiusOfInnermostHit()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;size_t arraysize&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">const std::array&lt; float, arraysize &gt; eic::TrackCollection::radiusOfInnermostHit </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_track_collection_8h_source.html#l00212">212</a> of file <a class="el" href="_track_collection_8h_source.html">TrackCollection.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_track_collection_8cc_source.html#l00245">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="a63cfc03b850860aad55ee3d026395200"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a63cfc03b850860aad55ee3d026395200">&#9670;&nbsp;</a></span>referenceCollections()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">podio::CollRefCollection* eic::TrackCollection::referenceCollections </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">final</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_track_collection_8h_source.html#l00097">97</a> of file <a class="el" href="_track_collection_8h_source.html">TrackCollection.h</a>.</p>

</div>
</div>
<a id="af2ceb33e571323a796781a04ed8552cb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af2ceb33e571323a796781a04ed8552cb">&#9670;&nbsp;</a></span>setBuffer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void eic::TrackCollection::setBuffer </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>address</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">final</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_track_collection_8cc_source.html#l00225">225</a> of file <a class="el" href="_track_collection_8cc_source.html">TrackCollection.cc</a>.</p>

</div>
</div>
<a id="a90ec32bb31f88d07738302fdf5d0168d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a90ec32bb31f88d07738302fdf5d0168d">&#9670;&nbsp;</a></span>setID()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void eic::TrackCollection::setID </td>
          <td>(</td>
          <td class="paramtype">unsigned&#160;</td>
          <td class="paramname"><em>ID</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">final</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_track_collection_8h_source.html#l00101">101</a> of file <a class="el" href="_track_collection_8h_source.html">TrackCollection.h</a>.</p>

</div>
</div>
<a id="af9355f50fe226c9fe2145be40139809a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af9355f50fe226c9fe2145be40139809a">&#9670;&nbsp;</a></span>setReferences()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool eic::TrackCollection::setReferences </td>
          <td>(</td>
          <td class="paramtype">const podio::ICollectionProvider *&#160;</td>
          <td class="paramname"><em>collectionProvider</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">final</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_track_collection_8cc_source.html#l00166">166</a> of file <a class="el" href="_track_collection_8cc_source.html">TrackCollection.cc</a>.</p>

<p class="reference">References <a class="el" href="_track_collection_8cc_source.html#l00052">size()</a>.</p>

</div>
</div>
<a id="a23858347745b82180fe9979ee7597f3a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a23858347745b82180fe9979ee7597f3a">&#9670;&nbsp;</a></span>size()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">size_t eic::TrackCollection::size </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">final</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>number of elements in the collection </p>

<p class="definition">Definition at line <a class="el" href="_track_collection_8cc_source.html#l00052">52</a> of file <a class="el" href="_track_collection_8cc_source.html">TrackCollection.cc</a>.</p>

<p class="reference">Referenced by <a class="el" href="_track_collection_8cc_source.html#l00245">eic::operator&lt;&lt;()</a>, <a class="el" href="_track_collection_8cc_source.html#l00106">prepareForWrite()</a>, <a class="el" href="_track_collection_8cc_source.html#l00210">push_back()</a>, and <a class="el" href="_track_collection_8cc_source.html#l00166">setReferences()</a>.</p>

</div>
</div>
<a id="ac8faa019ed0f5ef5930b672af2b384ff"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac8faa019ed0f5ef5930b672af2b384ff">&#9670;&nbsp;</a></span>vectorMembers()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">podio::VectorMembersInfo* eic::TrackCollection::vectorMembers </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_track_collection_8h_source.html#l00099">99</a> of file <a class="el" href="_track_collection_8h_source.html">TrackCollection.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>eicd/<a class="el" href="_track_collection_8h_source.html">TrackCollection.h</a></li>
<li>src/<a class="el" href="_track_collection_8cc_source.html">TrackCollection.cc</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
